import { Module } from '@nestjs/common';
import { OAuth2ClientModule } from 'src/modules/objects/oauth2-client/oauth2-client.module';
import { OAuth2TokenModule } from 'src/modules/objects/oauth2-token/oauth2-token.module';
import { UploadModule } from 'src/modules/objects/upload/upload.module';
import { UserModule } from 'src/modules/objects/user/user.module';
import { JWTModule } from '../jwt/jwt.module';
import { OAuth2Service } from './oauth2.service';
import { AccessTokenAdapter } from './adapter/access-token.adapter';
import { ClientAdapter } from './adapter/client.adapter';
import { CodeAdapter } from './adapter/code.adapter';
import { JWTAdapter } from './adapter/jwt.adapter';
import { RefreshTokenAdapter } from './adapter/refresh-token.adapter';
import { UserAdapter } from './adapter/user.adapter';

@Module({
  imports: [
    UserModule,
    UploadModule,
    OAuth2ClientModule,
    OAuth2TokenModule,
    JWTModule,
  ],
  providers: [
    AccessTokenAdapter,
    ClientAdapter,
    CodeAdapter,
    JWTAdapter,
    RefreshTokenAdapter,
    UserAdapter,
    OAuth2Service,
  ],
  exports: [OAuth2Service, JWTModule],
})
export class OAuth2Module {}
